VMTKCENTERLINESTONUMPY(1)

NAME
vmtkcenterlinestonumpy - vmtk script vmtkcenterlinestonumpy

DESCRIPTION
Automatic piping vmtkCenterlinesToNumpy Parsing options vmtkCenterlinesToNumpy

vmtkCenterlinesToNumpy : Takes a VTK centerlines vtkPolyData file and

    returns a nested python dictionary containing numpyarrays specifying vertex points, associated scalar data, and cell data yielding connectivity

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-celltopoint ConvertCellToPoint (bool,1); default=0: convert cell

    data to point data

-ofile ArrayDictOutputFileName (str,1): filename for the default

    ArrayDict writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o ArrayDict (dict,1): the output dictionary